<?php
namespace App\Models;
use CodeIgniter\Model;
class TipoPagoInternacionalModel extends Model {
   protected $table = 'TipoPagoInternacional';
    protected $primaryKey = 'Tpi_Id'; // Cambia esto según el nombre de tu clave primaria
    protected $allowedFields = [
        'Tpi_Nombre', 'Tpi_Numero', 'Usu_Id', 'Tpi_FechaCorte', 'Tpi_Estado'
        // Añade otros campos permitidos aquí
    ];



    public function get_all_tipopagointernacional() {
        $query = $this->db->get('TipoPagoInternacional');
        return $query->result_array();
    }

    public function get_tipopagointernacional($id) {
        $query = $this->db->get_where('TipoPagoInternacional', array('Tpi_Id' => $id));
        return $query->row_array();
    }

    public function insert_tipopagointernacional($data) {
        return $this->db->insert('TipoPagoInternacional', $data);
    }

    public function update_tipopagointernacional($id, $data) {
        $this->db->where('Tpi_Id', $id);
        return $this->db->update('TipoPagoInternacional', $data);
    }

    public function delete_tipopagointernacional($id) {
        $this->db->where('Tpi_Id', $id);
        return $this->db->delete('TipoPagoInternacional');
    }
}
?>
